/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontentinfo.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.projectcontroltable.entity.ProjectControlTable;
import com.jeeplus.modules.projectrecord.entity.ProjectRecords;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.sys.entity.Workattachment;

import java.util.Date;
import java.util.List;

/**
 * 工作内容详情Entity
 * @author yangfan
 * @version 2018-06-05
 */
public class ProjectContentData extends DataEntity<ProjectContentData> {
	
	private static final long serialVersionUID = 1L;
	private String companyId;		// 公司id
	private String officeId;		// 部门id
	private ProjectRecords project;		// 项目id
	private String name;		// 工作内容名称
	private String number;		// 工作内容编号
	private String type;		// 工作内容类型
	private User master;		// 负责人
	private String contentDetailsId;		// 内容详情id
	private Date startDate;
	private Date endDate;
    private String contentDetail;
    private List detailObject;
    private Integer parentType;
    private String extId;
	private List<ProjectControlTable> projectControlTableList;
	private List<Workattachment> workAttachments;
	private List<ProjectBasedData> projectBasedDataList;

    public List getDetailObject() {
        return detailObject;
    }

    public void setDetailObject(List detailObject) {
        this.detailObject = detailObject;
    }

    public ProjectContentData() {
		super();
	}

	public ProjectContentData(String id){
		super(id);
	}

	@ExcelField(title="公司id", align=2, sort=7)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="部门id", align=2, sort=8)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

    public ProjectRecords getProject() {
        return project;
    }

    public void setProject(ProjectRecords project) {
        this.project = project;
    }

    @ExcelField(title="工作内容名称", align=2, sort=10)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="工作内容编号", align=2, sort=11)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	
	@ExcelField(title="工作内容类型", align=2, sort=12)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

    public User getMaster() {
        return master;
    }

    public void setMaster(User master) {
        this.master = master;
    }

    @ExcelField(title="内容详情id", align=2, sort=14)
	public String getContentDetailsId() {
		return contentDetailsId;
	}

	public void setContentDetailsId(String contentDetailsId) {
		this.contentDetailsId = contentDetailsId;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

    public String getContentDetail() {
        return contentDetail;
    }

    public void setContentDetail(String contentDetail) {
        this.contentDetail = contentDetail;
    }

    public void setParentType(Integer parentType) {
        this.parentType = parentType;
    }

    public Integer getParentType() {
        return parentType;
    }

    public String getExtId() {
        return extId;
    }

    public void setExtId(String extId) {
        this.extId = extId;
    }

	public List<ProjectControlTable> getProjectControlTableList() {
		return projectControlTableList;
	}

	public void setProjectControlTableList(List<ProjectControlTable> projectControlTableList) {
		this.projectControlTableList = projectControlTableList;
	}

    public List<Workattachment> getWorkAttachments() {
        return workAttachments;
    }

    public void setWorkAttachments(List<Workattachment> workAttachments) {
        this.workAttachments = workAttachments;
    }

    public List<ProjectBasedData> getProjectBasedDataList() {
        return projectBasedDataList;
    }

    public void setProjectBasedDataList(List<ProjectBasedData> projectBasedDataList) {
        this.projectBasedDataList = projectBasedDataList;
    }
}